boltDmtr          = 5.2; // bolt size
rodDmtr          = 4; // rod size
wallThickness     = 3; // wall thickness
height            = boltDmtr+wallThickness;
width             = rodDmtr+wallThickness;

wallThikness =2;
$fn=100;

module body() {
    hull () {
        cylinder (h = boltDmtr+wallThickness, r = rodDmtr/2+wallThickness, center = true);
        translate ([boltDmtr*1.1,0,0]) 
        rotate([90,0,0]) 
        cylinder (h = rodDmtr+2*wallThickness, r = boltDmtr/2+wallThickness, center = true);
        }
    }
    
 module rod () {
     cylinder (h = boltDmtr+wallThickness+4, d = rodDmtr, center = true);
 }
 
 module bolt() {
     translate ([boltDmtr*1.1,0,0]) 
     rotate([90,0,0])
     cylinder (h = rodDmtr+wallThickness+4, d = boltDmtr, center = true);
 }
 
 module space () {
     translate ([boltDmtr+wallThickness/2,0,0])
     cube ([boltDmtr+rodDmtr+wallThikness,1,boltDmtr*2.5], center = true);
 }
 
 difference (){
     body();
     rod();
     bolt();
     space();
 }
 